\begin{enumerate}[start=5]
  \item \noi \textbf{\underline{TRANSFORMATION EN Z}}

  \begin{center}
    \renewcommand{\arraystretch}{2.6}
    \begin{tabularx}{16.5cm}{|c|>{\centering\arraybackslash}X|} \hline
      \textbf{Signal causal}        & \textbf{Transformée en Z} \\[-5mm]
      $n\mapsto x(n)$ pour $n\in\N$ & $z\mapsto (Zx)(z)$          \\ \hline
      $e(n) =1 $ & $(Ze)(z) = \frac{z}{z-1}$ \\ \hdashline
    $\renewcommand{\arraystretch}{1}\left\{\begin{array}{l}d(0)=1\\d(n)=0 \text{ si } n\neq 0\end{array}\right.$ & $(Zd)(z)=1 $ \\ \hdashline
      $r(n)=n $ & $(Zr)(z) = \frac{z}{(z-1)^2}$ \\ \hdashline
      $c(n)=n^2 $ & $(Zc)(z) = \frac{z(z+1)}{(z-1)^3}$ \\ \hdashline
      $f(n)=n, a\in\R-\{0\}$ & $(Zf)(z)=\frac{z}{z-a} $ \\ \hdashline
      $y(n)=a^nx(n), a\in\R-\{0\}$ & $(Zy)(z) = (Zx)\left(\frac{z}a\right)$ \\ \hdashline
      $\renewcommand{\arraystretch}{1.2}\begin{array}{c} y(n)=x(n-n_0), (n-n_0)\in\N \\ \text{ou} \\ y(n)=x(n-n_0)e(n-n_0)\end{array}$ & $(Zy)(z)=z^{-n_0}(Zx)(z)$ \\ \hdashline
      $y(n)=x(n+1)$ & $(Zy)(z) = z\left[(Zx)(z)-x(0)\right]$ \\ \hdashline
      $y(n)=x(n+2)$ & $(Zy)(z) = z^2\left[(Zx)(z)-x(0)-x(1)z^{-1}\right] $\\ \hdashline
      $y(n)=x(n+n_0)$ & $(Zy)(z) = z^{n_0}\left[(Zx)(z)-x(0)-x(1)z^{-1} - \cdots -x(n_0-1)z^{n_0-1}\right]$ \\
      \hline
    \end{tabularx}
  \end{center}


\end{enumerate}
